# org.pdfclown.util.collections.generic.IExtList< T > Interface Template Reference

Extension list interface. More...

Inheritance diagram for org.pdfclown.util.collections.generic.IExtList< T >:

List of all members.

## Public Member Functions
void | AddAll< TVar > (ICollection< TVar > items)
| Appends all of the specified-collection's items to the end of the list.
IList< T > | GetRange (int index, int count)
| Creates a shallow copy of a range of items in the source list.
IList< T > | GetSlice (int fromIndex, int toIndex)
| Creates a shallow copy of a slice of items in the source list.
void | InsertAll< TVar > (int index, ICollection< TVar > items)
| Inserts all of the specified-collection's items at the specified position within the list.
int | RemoveAll (Predicate< T > match)
| Removes all the items that match the conditions defined by the specified predicate.
void | RemoveAll< TVar > (ICollection< TVar > items)
| Removes all of the specified-collection's items from the list.

##

### template<T>
interface org::pdfclown::util::collections::generic::IExtList< T >

Extension list interface.

## Member Function Documentation

template<T >

void org.pdfclown.util.collections.generic.IExtCollection< T >.AddAll< TVar > | ( | ICollection< TVar > | items | ) | `[inherited]`

Appends all of the specified-collection's items to the end of the list.

Parameters:

  | items | Collection of items to append.

Type Constraints

  TVar | : | T |

template<T >

IList<T> org.pdfclown.util.collections.generic.IExtList< T >.GetRange | ( | int | index,
|  | int | count |
| ) |  |  |

Creates a shallow copy of a range of items in the source list.

Parameters:

  | index | Lower item index (inclusive) of the copy.
  | count | Number of items to copy.

Returns:
  Shallow copy of the specified range of items.

template<T >

IList<T> org.pdfclown.util.collections.generic.IExtList< T >.GetSlice | ( | int | fromIndex,
|  | int | toIndex |
| ) |  |  |

Creates a shallow copy of a slice of items in the source list.

Parameters:

  | fromIndex | Lower item (inclusive) of the copy.
  | toIndex | Higher item (exclusive) of the copy.

Returns:
  Shallow copy of the specified slice of items.

template<T >

void org.pdfclown.util.collections.generic.IExtList< T >.InsertAll< TVar > | ( | int | index,
|  | ICollection< TVar > | items |
| ) |  |  |

Inserts all of the specified-collection's items at the specified position within the list.

Parameters:

  | index | Insertion position.
  | items | Collection of items to insert.

Type Constraints

  TVar | : | T |

template<T >

int org.pdfclown.util.collections.generic.IExtCollection< T >.RemoveAll | ( | Predicate< T > | match | ) | `[inherited]`

Removes all the items that match the conditions defined by the specified predicate.

Parameters:

  | match | The Predicate delegate that defines the conditions of the items to remove.

Returns:
  The number of items removed from the collection.

template<T >

void org.pdfclown.util.collections.generic.IExtCollection< T >.RemoveAll< TVar > | ( | ICollection< TVar > | items | ) | `[inherited]`

Removes all of the specified-collection's items from the list.

Parameters:

  | items | Collection of items to remove.

Type Constraints

  TVar | : | T |

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.